> ## Documentation Index
> Fetch the complete documentation index at: https://developer.audienceful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Webhook Endpoint

> Deletes a webhook endpoint.

Requires the `webhooks:write` scope. The endpoint stops receiving deliveries immediately.

### Path parameters

<ParamField path="id" type="string" required>
  The id of the webhook endpoint to delete.
</ParamField>

### Response

Returns `204 No Content` with an empty body.

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request DELETE 'https://api.audienceful.com/v2/webhooks/wYt3nKq8Zs4pLm9vRb2xJc' \
  --header 'X-Api-Key: <your-api-key>'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.audienceful.com/v2/webhooks/wYt3nKq8Zs4pLm9vRb2xJc"
  headers = {
      "X-Api-Key": "<your-api-key>",
  }

  response = requests.delete(url, headers=headers)
  print(response.status_code)
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.audienceful.com/v2/webhooks/wYt3nKq8Zs4pLm9vRb2xJc", {
    method: "DELETE",
    headers: {
      "X-Api-Key": "<your-api-key>",
    },
  });
  console.log(response.status);
  ```
</RequestExample>

<ResponseExample>
  ```text Response theme={null}
  204 No Content
  ```
</ResponseExample>
